/* Police pour les titres */
@font-face {
  font-family: 'Crimson Text';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: local('Crimson Text Regular'), local('CrimsonText-Regular'), url(https://fonts.gstatic.com/s/crimsontext/v9/wlp2gwHKFkZgtmSR3NB0oRJfbwhT.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
  font-family: 'EB Garamond';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: local('EB Garamond Regular'), local('EBGaramond-Regular'), url(https://fonts.gstatic.com/s/ebgaramond/v10/SlGUmQSNjdsmc35JDF1K5GR1SDk.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

* {
    font-family: 'EB Garamond', serif;
    margin: 0;
    padding: 0;
}

article {
    margin: 2vh 1vw;
}

body {
    background-color:#e9eaed;
    padding: 2vh 15vw;
}

fieldset {
    border-radius : 10px;
    position: absolute;
    top: 50%; /* poussé de la moitié de hauteur du référent */
    transform: translateY(-50%); /* tiré de la moitié de sa propre hauteur */}

form {
    height: 80vh;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    width: 40vh;
}

footer {
    background-color:#e9eaed;
    bottom: 0;
    display: block;
    height: 22px;
    position: fixed;
    width: 70vw;
    z-index: 10;
}

footer p {
    font-style: italic;
    text-align: justify;
}

h1 {
    font-size: 1.9rem;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 2.5vh;
}

h1, h2, h3 {
    font-family: 'Crimson Text', serif;
}

header {
    background-color: #35373b;
    color: #e9eaed;
    height: 8.5vh;
    left: 0;
    position: fixed;
    text-align: right;
    top: 0;
    width: 100%;
    z-index: 10;
}

header h1 {
    margin-right: 16.2vw;
    margin-top: 0.5vh;
}

label {
    color: #35373b;
    display: inline-block;
    font-family: 'EB Garamond', serif;
    font-size: 1.1rem;
}

legend {
    font-family : 'Crimson Text', serif;
    font-size: 2.6vh;
}

li {
    color: #03a5c1;
    display: inline-block;
    margin-left: 0.5vw;
    padding : 0.4vh 1vh;
}

main {
    background-color: white;
    border-radius: 10px;
    margin-top: 8vh;
    margin-bottom: 6vh;
}

main article p {
    line-height: 1.7rem;
    margin: 1vh 2vh;
    padding: 1vh 2vh;
    text-align: justify;
    text-indent: 2vw;
}

nav {
    background-color: white;
    font-size: 1.2rem;
    left: 0;
    margin-top: 6vh;
    position: fixed;
    text-align: right;
    text-decoration: none;
    width: 100%;
    z-index: 10;
}

ul {
    margin-right: 15vw;
}

.champs {
    margin: 2vh;
}

.champs input {
    border-radius: 10px;
    font-size: 2vh;
    height: 3vh;
    width: 95%;
}

.fas {
    background-color: #35373b;
    border: 2px solid #03a5c1;
    border-radius: 25px;
    color: white;
    font-size: 1rem;
    height: 4vh;
    margin: 1vh;
    width: 4vh;
}

#clock {
    margin-right: 2vh;
    position: absolute;
    right: 0;
    bottom: 0;
}

#diaporama {
    background-color: black;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
}

#envoi {
    background-color: white;
    border: 1px solid #03a5c1;
    border-radius: 10px;
    box-shadow: 2px 2px 2px 1px #03a5c1;
    color: black;
    float: right;
    font-size : 2.2vh;
    padding: 0.5vh;
    text-align: center;
    width: 10vh;
    margin-bottom: 2vh;
    margin-right: 1vh;
}

#img1 {
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding: 2.5vh 0;
    width: 40%;
}

#manuel {
    text-align: center;
}

#nomDuRoi {
    margin-left: auto;
    margin-right: auto;
    padding: 1vh;
    width: 30vh;
}

#nomDuRoi p {
    border : 1px solid white;
    color: white;
    font-family: 'Kurale', 'PT Sans', sans-serif;
    font-size: 1rem;
    text-align: center;
    text-indent: 0;
}

@media screen and (max-width: 1100px) {
    body {
        padding: 2vh 7vw;
    }

    footer {
        width: 86vw;
    }

    header h1 {
        margin-left: 11.5vw;
        margin-right: 8vw;
    }

    ul {
        margin-left: 7vw;
        margin-right: 7vw;
    }

    #asso {
        margin-right: 2vh;
    }

    #img1 {
        width: 60%;
    }
}

@media screen and (max-width: 900px) {
    body {
        padding: 2vh 4vw;
    }

    footer {
        width: 92vw;
    }

    h1 {
        font-size: 1.4rem;
    }

    h2 {
        font-size: 1.2rem;
    }

    header {
        height: 9.5vh;
    }

    nav {
        display: none;
    }

    .topnav {
        display: block;
        overflow: hidden;
        background-color: white;
        position: fixed;
        top: 0;
        z-index: 11;
    }
      
    .topnav #liens {
        display: none;
    }
      
    .topnav a {
        color: #35373b;
        display: block;
        padding: 0.5vh;
        text-decoration: none;
    }
      
    .topnav a.icon {
        background-color: #35373b;
        color: white;
        display: block;
        font-size: 1.4rem;
        right: 0;
        top: 0;
        z-index: 10;
    }

    #liens a:hover {
        background-color: gold;
    }
}

@media screen and (max-width: 630px) {
    footer {
        height: 42px;
    }
}